# PostgresDialect Class Reference
[Connectors and dialects for various databases]

PostgreSQL dialect. More...

Inheritance diagram for PostgresDialect:
[legend]

List of all members.

## Public Member Functions

| quoteBinary ($data)
| unquoteBinary ($data)
| typeToString (DataType $type)
| hasTruncate ()
| hasMultipleTruncate ()
| hasReturning ()
| fullTextSearch ($field, $words, $logic)
| fullTextRank ($field, $words, $logic)
| preAutoincrement (DBColumn $column)
| postAutoincrement (DBColumn $column)

## Static Public Member Functions

static | me ()
static | getTsConfiguration ()
static | setTsConfiguration ($configuration)
static | setRankFunction ($rank)
static | quoteValue ($value)
static | toCasted ($field, $type)
static | prepareFullText ($words, $logic)

## Protected Member Functions

| makeSequenceName (DBColumn $column)

## Static Private Member Functions

static | checkColumn (DBColumn $column)

## Static Private Attributes

static | $tsConfiguration = 'utf8_russian'
static | $rankFunction = 'rank'

## Detailed Description

PostgreSQL dialect.

See also:
  http://www.postgresql.org/

Definition at line 19 of file PostgresDialect.class.php.

## Member Function Documentation

static PostgresDialect::checkColumn | ( | DBColumn $ | column | ) | `[static, private]`

Definition at line 151 of file PostgresDialect.class.php.

Referenced by postAutoincrement(), and preAutoincrement().

PostgresDialect::fullTextRank | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented from Dialect.

Definition at line 118 of file PostgresDialect.class.php.

References Dialect::fieldToString(), prepareFullText(), and quoteValue().

Here is the call graph for this function:

PostgresDialect::fullTextSearch | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented from Dialect.

Definition at line 108 of file PostgresDialect.class.php.

References Dialect::fieldToString(), prepareFullText(), and quoteValue().

Here is the call graph for this function:

static PostgresDialect::getTsConfiguration | ( |  | ) | `[static]`

Definition at line 32 of file PostgresDialect.class.php.

PostgresDialect::hasMultipleTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 98 of file PostgresDialect.class.php.

PostgresDialect::hasReturning | ( |  | ) |

Reimplemented from Dialect.

Definition at line 103 of file PostgresDialect.class.php.

PostgresDialect::hasTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 93 of file PostgresDialect.class.php.

PostgresDialect::makeSequenceName | ( | DBColumn $ | column | ) | `[protected]`

Definition at line 146 of file PostgresDialect.class.php.

static PostgresDialect::me | ( |  | ) | `[static]`

Returns:
  PostgresDialect

Implements Instantiatable.

Definition at line 27 of file PostgresDialect.class.php.

References Singleton::getInstance().

Referenced by PgSQL::getDialect().

Here is the call graph for this function:

PostgresDialect::postAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 137 of file PostgresDialect.class.php.

References checkColumn().

Here is the call graph for this function:

PostgresDialect::preAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 128 of file PostgresDialect.class.php.

References checkColumn().

Here is the call graph for this function:

static PostgresDialect::prepareFullText | ( | $ | words,
|  | $ | logic |
| ) |  |  | `[static]`

Definition at line 57 of file PostgresDialect.class.php.

References DB::FULL_TEXT_AND, and Assert::isArray().

Referenced by fullTextRank(), and fullTextSearch().

Here is the call graph for this function:

PostgresDialect::quoteBinary | ( | $ | data | ) |

Reimplemented from Dialect.

Definition at line 75 of file PostgresDialect.class.php.

static PostgresDialect::quoteValue | ( | $ | value | ) | `[static]`

Definition at line 47 of file PostgresDialect.class.php.

Referenced by fullTextRank(), and fullTextSearch().

static PostgresDialect::setRankFunction | ( | $ | rank | ) | `[static]`

Definition at line 42 of file PostgresDialect.class.php.

static PostgresDialect::setTsConfiguration | ( | $ | configuration | ) | `[static]`

Definition at line 37 of file PostgresDialect.class.php.

static PostgresDialect::toCasted | ( | $ | field,
|  | $ | type |
| ) |  |  | `[static]`

Reimplemented from Dialect.

Definition at line 52 of file PostgresDialect.class.php.

PostgresDialect::typeToString | ( | DataType $ | type | ) |

Reimplemented from Dialect.

Definition at line 85 of file PostgresDialect.class.php.

References DataType::BINARY, and Enumeration::getId().

Here is the call graph for this function:

PostgresDialect::unquoteBinary | ( | $ | data | ) |

Reimplemented from Dialect.

Definition at line 80 of file PostgresDialect.class.php.

## Member Data Documentation

PostgresDialect::$rankFunction = 'rank'`[static, private]`

Definition at line 22 of file PostgresDialect.class.php.

PostgresDialect::$tsConfiguration = 'utf8_russian'`[static, private]`

Definition at line 21 of file PostgresDialect.class.php.

The documentation for this class was generated from the following file:

- core/DB/PostgresDialect.class.php